Attribute VB_Name = "ItemGlobal"
Option Explicit
'general variables
Global AppPath As String
Dim DataPath As String
Global X As Single, Y As Single
Dim Desc As String

Private Sub Main()
If Right(App.Path, 1) = "\" Then
    AppPath = App.Path
Else
    AppPath = App.Path & "\"
End If
DataPath = AppPath & "ItemEdit\"
Open DataPath & "Variety.dat" For Input As #1
Do Until EOF(1)
    Input #1, X, Desc
    ItemEdit.cboVariety.AddItem Desc, X
Loop
ItemEdit.cboVariety.ListIndex = 0
Close #1
Open DataPath & "Skills.dat" For Input As #1
Do Until EOF(1)
    Input #1, X, Desc
    ItemEdit.cboSkill.AddItem Desc, X
Loop
Close #1
Open DataPath & "Abilities.dat" For Input As #1
Do Until EOF(1)
    Input #1, X, Desc
    ItemEdit.cboSpecAbil(1).AddItem Desc, X
    ItemEdit.cboSpecAbil(2).AddItem Desc, X
    ItemEdit.cboSpecAbil(3).AddItem Desc, X
    ItemEdit.cboSpecAbil(4).AddItem Desc, X
Loop
Close #1
For X = 1 To 4
    ItemEdit.cboSpecAbil(X).ListIndex = 0
Next
ItemEdit.cboSkill.ListIndex = 4
Load ItemEdit
ItemEdit.Show
End Sub
